Bug 201587

Summary: [patch] textproc/py-sphinx: add RUN_DEPENDS
Product: Ports & Packages Reporter: Christian Heckendorf <heckendorfc>
Component: Individual Port(s)Assignee: Kris Moore <kmoore>
Status: Closed FIXED    
Severity: Affects Only Me Keywords: patch
Priority: --- Flags: bugzilla: maintainer-feedback? (kmoore)
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
Adding devel/py-babel to RUN_DEPENDS none

Description Christian Heckendorf 2015-07-15 14:31:54 UTC
Created attachment 158799 [details]
Adding devel/py-babel to RUN_DEPENDS

The devel/llvm36 build failed, complaining that sphinx was missing the babel dependency. Here's a patch that resolves the issue for me. Let me know if the build logs from llvm36 or this patched port would help.
Comment 1 commit-hook freebsd_committer 2015-07-15 15:26:30 UTC
A commit references this bug:

Author: kmoore
Date: Wed Jul 15 15:26:02 UTC 2015
New revision: 392156
URL: https://svnweb.freebsd.org/changeset/ports/392156

Log:
  - Add new RUN_DEPEND on py-babel, fixes issue compiling llvm36 and possibly
    others
  - Bump PORTREV

  PR: 201587
  Submitted by: Christian Heckendorf <heckendorfc@gmail.com>

Changes:
  head/textproc/py-sphinx/Makefile
Comment 2 Kris Moore freebsd_committer 2015-07-15 15:27:58 UTC
Thanks for catching this, committed!